
Figure - Bug #118373
【IOVDEV-31421】【VC1】【0100】【台架】【EE环境】【副屏】点击打开桌面应用时，偶发一次提示"今日
头条没有响应"
2023-05-30 19:33 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-29

Priority: Normal Due date: 2023-06-05

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230530  11点34分（ 第219次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音，副屏以太网和WiFi都是已连接状态，副屏WiFi

网络信号很好）

副屏已安装支持的27个第三方应用中的20个应用

1.副屏依次打开已安装的第三方应用

2.在打开第12个应用“今日头条”后，再点击“酷狗音乐”、“快手”等应用

【实际结果】

副屏打开快手应用后，弹窗提示“今日头条没有响应”

【期望结果】

副屏正常打开应用，无异常。

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏log地址：https://ofs.human-horizons.com/#/download/index/0wpqqEcnOwQ%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0086.C102

History

#1 - 2023-05-30 19:53 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

Hi 王成
客户抓的是实时日志，里面没有anr的trace文件

请帮忙获取下历史日志和anr的trace文件，谢谢

飞书已同步此消息

#2 - 2023-05-31 19:23 - CDTS-TEST 周婷

- Due date set to 2023-06-05

#3 - 2023-05-31 19:32 - CDTS_TEST 王成

- File 1685532364208.zip added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW 曹覃刚

#4 - 2023-05-31 20:22 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

■ 我的分析

anr_2023-05-30-11-34-05-461

从anr的trace可以看到，头条的主线程被blocked了，导致发生ANR

blocked的地方是头条应用的内部代码逻辑，需要应用去分析处理，请同步此信息给客户，谢谢

--------------------------------------

"main" prio=5 tid=1 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x72a94378 self=0xe3d85410  | sysTid=24541 nice=0 cgrp=default sched=0/0

handle=0xedede470  | state=S schedstat=( 1876306738 277515370 4034 ) utm=159 stm=27 core=2 HZ=100  | stack=0xff0f2000-0xff0f4000 stackSize=8188KB  | held

mutexes=

  at X.4CQ.a(SourceFile:17301504)

  - waiting to lock <0x07cb839b> (a X.4CQ) held by thread 23

  at X.4CS.a(SourceFile:17301535)

  at com.bytedance.ug.sdk.luckydog.api.manager.LuckyDogSDKApiManager.updateSettings(SourceFile:17170490)

  at com.bytedance.ug.sdk.luckydog.api.LuckyDogSDK.updateSettings(SourceFile:17039391)

  at X.4ee.updateSettings(SourceFile:17039386)

  at X.8md.onSettingsUpdate(SourceFile:17039402)

  at com.bytedance.news.common.settings.SettingsManager$2.run(SourceFile:262177)

  at android.os.Handler.handleCallback(Handler.java:938)

  at android.os.Handler.dispatchMessage(Handler.java:99)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at android.app.ActivityThread.main(ActivityThread.java:7880)

  at java.lang.reflect.Method.invoke(Native method)

  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

"platform-back-handler" prio=5 tid=23 TimedWaiting  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x14f80da0 self=0xe3d98810  | sysTid=24576 nice=10

cgrp=default sched=0/0 handle=0xd417b1c0  | state=S schedstat=( 24838846 40507037 200 ) utm=2 stm=0 core=4 HZ=100  | stack=0xd4078000-0xd407a000

stackSize=1036KB  | held mutexes=

  at sun.misc.Unsafe.park(Native method)

  - waiting on an unknown object

  at java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:230)

  at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2109)

  at java.util.concurrent.LinkedBlockingQueue.poll(LinkedBlockingQueue.java:467)

  at com.ttnet.org.chromium.net.urlconnection.MessageLoop.take(SourceFile:33882170)

  at com.ttnet.org.chromium.net.urlconnection.MessageLoop.loop(SourceFile:17104981)
  at com.ttnet.org.chromium.net.urlconnection.CronetHttpURLConnection.cronet_loop(SourceFile:17104929)

  at com.ttnet.org.chromium.net.urlconnection.CronetHttpURLConnection.getResponse(SourceFile:327772)

  at com.ttnet.org.chromium.net.urlconnection.CronetHttpURLConnection.getResponseCode(SourceFile:262175)

  at com.bytedance.frameworks.baselib.network.http.cronet.impl.SsCronetHttpClient.processExecute(SourceFile:33882188)

  at X.49l.execute(SourceFile:524386)

  at com.bytedance.retrofit2.CallServerInterceptor.executeCall(SourceFile:33816617)

  at com.bytedance.retrofit2.CallServerInterceptor.intercept(SourceFile:17236179)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at com.bytedance.frameworks.baselib.network.http.retrofit.RequestVertifyInterceptor.intercept(SourceFile:17104968)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.4GG.intercept(SourceFile:17236097)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.4GE.intercept(SourceFile:17236013)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at com.bytedance.ug.sdk.luckydog.api.network.NetworkFreqCheckInterceptor.intercept(SourceFile:17104948)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.4GD.intercept(SourceFile:17104968)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.4G9.intercept(SourceFile:17302135)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.D0f.intercept(SourceFile:17170526)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.4DU.intercept(SourceFile:17170493)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.52a.a(SourceFile:17236223)

  at X.52a.lambda$YZQ38NCW4Z8TKFFVm9U6Nc7ox-w(SourceFile:-1)

  at com.bytedance.bdauditsdkbase.network.-$$Lambda$b$YZQ38NCW4Z8TKFFVm9U6Nc7ox-w.intercept(lambda:-1)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at com.bytedance.ug.sdk.luckydog.tokenunion.interceptor.TokenUnionInterceptor.intercept(SourceFile:17170494)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.26E.intercept(SourceFile:17104972)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.4Gm.intercept(SourceFile:17170501)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.4EE.intercept(SourceFile:17105005)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.26I.intercept(SourceFile:17170574)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at com.ss.android.account.token.TTTokenInterceptor.intercept(SourceFile:17170573)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)
  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at ms.bd.c.k2$a.intercept(SourceFile:-1)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at X.26D.intercept(SourceFile:17105001)

  at com.bytedance.ttnet.utils.RetrofitUtils$ReportTimeDecorator.intercept(SourceFile:17104986)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at com.bytedance.frameworks.baselib.network.http.retrofit.BaseSsInterceptor.intercept(SourceFile:17170540)

  at com.bytedance.retrofit2.intercept.RealInterceptorChain.proceed(SourceFile:17170572)

  at com.bytedance.retrofit2.SsHttpCall.getResponseWithInterceptorChain(SourceFile:327762)

  at com.bytedance.retrofit2.SsHttpCall.execute(SourceFile:458916)

  at com.bytedance.retrofit2.ExecutorCallAdapterFactory$ExecutorCallbackCall.execute(SourceFile:262173)

  at X.4CA.a(SourceFile:33882157)

  at X.4CA.a(SourceFile:34013269)

  at X.4CQ.b(SourceFile:17170579)

  - locked <0x07cb839b> (a X.4CQ)

  at X.4CQ.a(SourceFile:34013312)

  - locked <0x07cb839b> (a X.4CQ)

  at X.1pq.a(SourceFile:34078821)

  - locked <0x00d4be77> (a X.1pq)

  at X.1pq.a(SourceFile:17236214)

  - locked <0x00d4be77> (a X.1pq)

  at X.1pv.run(SourceFile:196635)

  at android.os.Handler.handleCallback(Handler.java:938)

  at android.os.Handler.dispatchMessage(Handler.java:99)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at X.1I1.run(SourceFile:327774)

--------------------------------------

#5 - 2023-05-31 20:47 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

#6 - 2023-05-31 20:47 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

三方应用自身问题

#7 - 2023-05-31 20:47 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

今日头条没有响应.mp4 4.69 MB 2023-05-30 CDTS_TEST 王成

副屏tlog.7z 16.8 MB 2023-05-30 CDTS_TEST 王成

1685532364208.zip 30.4 MB 2023-05-31 CDTS_TEST 王成
